DELIMITER mysolus$$
		CREATE  OR REPLACE  FUNCTION  CDM_Get_Active_Period_Duration (vPercentile DECIMAL(2,2),vTxnStartDate DATE, vTxnEndDate DATE) RETURNS smallint(6) BEGIN     DECLARE vAP_Duration_Ret SMALLINT DEFAULT -1;      DECLARE CONTINUE HANDLER FOR SQLEXCEPTION RETURN -1;        SELECT SRC.Lt_ADGBT INTO vAP_Duration_Ret   FROM   (     SELECT        Lt_ADGBT AS Lt_ADGBT,       ROUND(PERCENT_RANK() OVER (ORDER BY Lt_ADGBT ASC),2) AS Percentile_Rank     FROM CDM_Customer_TP_Var     WHERE        FTD BETWEEN vTxnStartDate AND vTxnEndDate       AND Lt_Num_Of_Visits > 1   ) AS SRC   WHERE SRC.Percentile_Rank >= vPercentile   ORDER BY SRC.Lt_ADGBT ASC   LIMIT 1;     RETURN vAP_Duration_Ret;     END			
mysolus$$
